Read Kubernetes version
import requests
url = "https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/k8s-version"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/k8s-version', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/k8s-version \
--header 'Authorization: Bearer <token>'{
"current_version": "<string>",
"distribution": "<string>",
"auto_patch_upgrade_enabled": false,
"desired_version": "<string>",
"nodes": [
{
"name": "<string>",
"role": "<string>",
"state": "<string>",
"desired_version": "<string>",
"observed_version": "<string>"
}
],
"observed_version": "<string>",
"upgrade_execution": {
"blocking_pdbs": [
{
"disruptions_allowed": 123,
"name": "<string>",
"namespace": "<string>"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parked_node": "<string>",
"status": "<string>"
},
"version_drift": false
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Scaleway Clusters
Read Kubernetes version
Bearer PAT authentication; RBAC permission clusters.read. PAT mutations support wait=false where implemented; browser mutations require CSRF.
GET
/
api
/
v1
/
clusters
/
scaleway
/
{cluster_id}
/
k8s-version
Read Kubernetes version
import requests
url = "https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/k8s-version"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/k8s-version', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/k8s-version \
--header 'Authorization: Bearer <token>'{
"current_version": "<string>",
"distribution": "<string>",
"auto_patch_upgrade_enabled": false,
"desired_version": "<string>",
"nodes": [
{
"name": "<string>",
"role": "<string>",
"state": "<string>",
"desired_version": "<string>",
"observed_version": "<string>"
}
],
"observed_version": "<string>",
"upgrade_execution": {
"blocking_pdbs": [
{
"disruptions_allowed": 123,
"name": "<string>",
"namespace": "<string>"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parked_node": "<string>",
"status": "<string>"
},
"version_drift": false
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
The execution that owns the rollout to the cluster's desired version, with the park its steps recorded.
Show child attributes
Show child attributes